LFR-FSW - Bug #966

Comment valider le SSS-CP-EQS-526
10/03/2017 02:24 PM - Veronique bouzid

Status: Closed Start date: 10/03/2017
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Thomas propose d injecter sur V_F3, E1_F3, E2_F3
- un signal sinusoidal a 0.1hz

- un signal carré a 0.1hz

- un signal sinusoidal a 10hz

Les tests ont été effectués sur pc-solar1 par Bruno en utilisant le LFR-GSE et le logiciel de generation des signaux

Pour cela on a utilisé une ANALOG DISCOVERY avec une pin connecté a V_f3 et dans un deuxieme temps 2 pins connectées sur
E1_F3 et E2_F3.

Le logiciel de generation des signaux ne sait piloter que 2 signaux max.

Les résultats sont actuellement sur pc-solar3 dans le répertoire
/home/validation/data/R3++/3.2.0.2/1.1.91/SC_potential_mean_HK_datasets.
Les fichiers générés sont
Sine_0.1Hz_on_E1E2_packet_log.data
Sine_0.1Hz_on_E1E2_packet_record.data
Sine_0.1Hz_on_V_packet_log.data
Sine_0.1Hz_on_V_packet_record.data
Sine_10Hz_on_E1E2_packet_log.data
Sine_10Hz_on_E1E2_packet_record.data
Sine_10Hz_on_V_packet_log.data
Sine_10Hz_on_V_packet_record.data
Square_0.1Hz_on_E1E2_packet_log.data
Square_0.1Hz_on_E1E2_packet_record.data
Square_0.1Hz_on_V_packet_log.data
Square_0.1Hz_on_V_packet_record.data

la decom R3++ de Bruno a été copiée dans le répertoire /home/validation/bin. Elle se nomme LFR_packet_decom-linux-x86_64
[validation@pc-solar3 bin]$ LFR_packet_decom-linux-x86_64

LFR instrument decommutation program version 0r107
ONLY COMPATIBLE WITH FSW 3.2.x DATADUMP (R3++)

Usage: LFR_packet_decom-linux-x86_64 [LFR L1 binary packets file]

History

#1 - 10/03/2017 04:52 PM - Veronique bouzid
- File Sine_0.1Hz_on_V.png added

- Assignee changed from Veronique bouzid to thomas chust

J'attribue dans un premier temps la verification a Thomas.
On est en standby puis transition normal mode. Le timing est cohérent.
Utilisation de kst pour regarder les données

Signal sinusoidal a 0.1Hz sur V

en haut les données extraites des TM_LFR_HK (on a enlevé le premier point)
en bas les données extraites de CWF_F3 (2688 echantillons)
Signal carré a 0.1Hz sur V
en haut les données extraites des TM_LFR_HK (on a enlevé le premier point)
en bas les données extraites de CWF_F3 (2688 echantillons)

#2 - 10/03/2017 04:57 PM - Veronique bouzid
- File Square_0.1Hz_on_V.png added

#3 - 10/03/2017 05:11 PM - thomas chust

- Assignee changed from thomas chust to Veronique bouzid

La figure Sine est en réalité une figure Square me semble-t-il, en tout cas deux figures identiques ...

Sinon pour le signal carré cela semble cohérent. Il faudrait pouvoir supperposer les deux courbes (CWF3 versus HK) pour mieux estimer les écarts

(en amplitude et en temps).

#4 - 13/03/2017 08:50 AM - Veronique bouzid
- File Rampup_3mn_on_V.png added

- Assignee changed from Veronique bouzid to thomas chust

Sur les conseils d'Alexis, envoi d'un signal lineaire qui monte tranquillement durant 3 minutes.

Je joins les resultats.
La courbe coupe I'axe des abscisses et on voit un gros décrochement.
Voici les valeurs autour de cette intersection (extrzit de list_v.txt (ligne 115)

-247
-172
-101

-4126
44
116
187

#5 - 13/03/2017 11:38 AM - thomas chust
- Tracker changed from Task to Bug
- Assignee changed from thomas chust to paul leroy

- revision set to r0

Oui le décrochement (porté par un seul point semble-t-il) est comme un bug. Semblable aux pets que I'on voit sur les sommets des courbes Sine ?

(courbe Sine que j'ai vu sur papier car le fichier joint ici est erroné ; Véro va corriger cela ...)

#6 - 13/03/2017 11:53 AM - Veronique bouzid
- File deleted (Sine_0.1Hz_on_V.png)

#7 - 13/03/2017 11:55 AM - Veronique bouzid
- File Sine_0.1Hz_on_V.png added

#8 - 20/03/2017 08:39 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Qu'en est-il de ce bug avec la révision 3.2.0.5 par exemple? Normalement, j'ai corrigé des trucs suite au bug #976 (pris en compte dans 3.2.0.3).

#9 - 20/03/2017 11:23 AM - thomas chust

a priori c'est traité en #982 (résultat correcte pour le sine a 0.1Hz)

#10 - 21/11/2018 10:09 AM - Veronique bouzid

- Status changed from New to Closed
